import { ComponentPropsWithoutRef } from 'react';
import { RadialBarChart as RechartsRadialBarChart } from 'recharts';
import type { NameType, ValueType } from 'recharts/types/component/DefaultTooltipContent';
import { AxisDomain } from 'recharts/types/util/types';
import { BaseColors } from '../../tokens';
export interface RadialBarChartProps<TDatum, TKey extends RadialBarChart.DataKey<TDatum>> extends Omit<ComponentPropsWithoutRef<typeof RechartsRadialBarChart>, 'innerRadius' | 'outerRadius'> {
    data: TDatum[];
    dataKey: TKey;
    formatValue: (value: RadialBarChart.Value<TDatum, TKey>) => string;
    fill?: keyof typeof BaseColors;
    domain: AxisDomain;
    radius: number;
    arcWidth: number;
    backgroundPadding: number;
}
export declare function RadialBarChart<TDatum, TKey extends RadialBarChart.DataKey<TDatum>>({ data, dataKey, fill, domain, children, radius, arcWidth, backgroundPadding, width, height, 
/** top of the circle */
startAngle, 
/** top of the circle (from left) */
endAngle, ...rest }: RadialBarChartProps<TDatum, TKey>): import("theme-ui/jsx-runtime").JSX.Element;
export declare namespace RadialBarChart {
    type DataKey<TDatum> = Extract<keyof TDatum, NameType> | ((datum: TDatum) => ValueType);
    type Value<TDatum, TKey extends DataKey<TDatum>> = TKey extends (datum: TDatum) => ValueType ? ReturnType<TKey> : TKey extends keyof TDatum ? TDatum[TKey] : never;
}
